<!DOCTYPE html>
<html lang="en">
<%- include('partials/head.ejs', { title: 'AcceptRequests' }) %>
<body>
    <%- include('partials/navbar.ejs') %>
    <main>
        <h1>Accept Requests</h1>
        <div>
            <h2>Timetable</h2>
            <%- include('partials/timetable.ejs', { subjects }) %>
        </div>
        <div>
            <h2>Choose appointment</h2>
            <form method="POST" name="acceptRequest" action="/acceptRequest/acceptRequest?subjectId=<%= subjectId %>">   

                <label for="day">Day: </label>
                <select name="day" id="day">
                    <option value="1">Monday</option>
                    <option value="2">Tuesday</option>
                    <option value="3">Wednesday</option>
                    <option value="4">Thursday</option>
                    <option value="5">Friday</option>
                </select>
                <br>

                <label for="hour">From: </label>
                <select name="hour" id="hour">
                    <option value="8">8:00</option>
                    <option value="10">10:00</option>
                    <option value="12">12:00</option>
                    <option value="14">14:00</option>
                    <option value="16">16:00</option>
                    <option value="18">18:00</option>
                    <option value="20">20:00</option>
                </select>
                <br>

                <div class="row">
                    <div class="col-md-1">
                        <input class="btn btn-success" id="id-submit-button" name="idSubmitButton" type="submit" value="Accept">
                    </div>
                    <div class="col-md-1">
                        <a class="btn btn-danger" href="/acceptRequest/declineRequest?subjectId=<%= subjectId %>">Decline</a>
                    </div>
                </div>
                
            </form>
        </div>
    </main>
    <script src="/deleteFromTimetable.js"></script>
</body>
</html>